# 修改配置说明

- utils/request.ts 下为生产环境（/api）和开发环境（<http://localhost:8000/api）>，
- 开发环境需要进行跨域代理配置，需要修改 config/proxy.ts 下的 proxy 和 dev，将 target 上的 url 修改为本地的端口<http://localhost:8081>
- 现在的前端启动命令统一为 npm run start:dev，此命令启动为开发环境，并且没有 mock 数据

## 技术了解指南

| 名称 | 文档地址 | 程度 | 重点学习 |
| --- | --- | --- | --- |
| Ant Design pro | <https://pro.ant.design/zh-CN/docs/overview/> | 熟悉 | 文档部分至少看一遍，建议实操一遍 |
| Ant Design | <https://ant.design/components/overview-cn/> | 熟悉 | 组件部分 |
| 高级 antd 库 | <https://procomponents.ant.design/> | 熟悉 | 组件部分 |
| UmiJs | <https://v3.umijs.org/zh-CN/docs> | 了解 | Umi 基础至少看一遍 |
| TypeScript | <https://juejin.cn/post/7068081327857205261> | 了解 | 与 Java 类似，只需了解其写法即可 |
| 时间处理库 moment | <http://momentjs.cn/docs/> | 了解 | 时间的解析 |

## 注意

| 名称 | 作用 |
| --- | --- |
| feat: A new feature | 添加新功能 |
| fix: A bug fix | 修复：错误修复 |
| docs: Documentation only changes | 仅文档更改 |
| style: Changes that do not affect the meaning of the | 不影响代码含义的更改（空格、格式、缺少分号等 |
| refactor: A code change that neither fixes a bug nor | 既不修复错误也不添加功能的代码更改 |
| perf: A code change that improves performance | perf：提高性能的代码更改 |
| test: Adding missing tests or correcting existing tests | 添加缺失的测试或纠正现有的测试 |
| build: Changes that affect the build system or external dependencies | 影响构建系统或外部依赖项的更改 |
| ci: Changes to our CI configuration files and scripts | 对我们的 CI 配置文件和脚本的更改 |
| chore: Other changes that don't modify src or test | 不修改 src 或测试文件的其他更改 |
| revert: Reverts a previous commit | 还原以前的提交 |

- 代码规范 <https://juejin.cn/post/7040090590326816776>
- 项目提交相关 git 命令, git add .:添加文件，git commit -m 'feat: 新增某个功能' : 提交信息(!!!), git push : 向 git 仓库推送代码，git pull : 拉去最新代码，git branch: 查看分支  
  <https://www.liaoxuefeng.com/wiki/896043488029600/896954848507552>
- 项目启动 npm run start
- 项目启动(不要 mock) npm run start:dev
- 校验代码 npm run lint，
- 修复校验 npm run lint:fix
- 若是出现 xxx does not exist in container(umi 的相关错误都可以尝试).则需要删除 src/.umi. ,然后重新安装依赖 npm i
