﻿// 行驶性能
const getDrivingRoutes = () => {
  const routes = [
    'operationalStability',
    'ride',
    'brakingPerformance',
    'slide',
    'swerve',
    'CenterOfMass',
  ];
  return routes.map((item) => ({
    path: `/drivingPerformance/${item}/detail/:id`,
    name: '数据详情',
    access: 'drivingPerformance',
    component: './DrivingPerformance/Detail',
    hideInMenu: true,
  }));
};
const getDrivingCompareRoutes = () => {
  const routes = [
    'operationalStability',
    'ride',
    'brakingPerformance',
    'slide',
    'swerve',
    'CenterOfMass',
  ];
  return routes.map((item) => ({
    path: `/drivingPerformance/${item}/dataComparison/:carParam`,
    name: '数据对比',
    access: 'drivingPerformance',
    component: './DrivingPerformance/DataComparison',
    hideInMenu: true,
  }));
};

// 零部件
const getComponentRoutes = () => {
  const routes = ['bushingData', 'shockAbsorberDebugging', 'tireData', 'springData'];
  return routes.map((item) => ({
    path: `/component/${item}/detail/:id`,
    name: '数据详情',
    access: 'component',
    component: './Component/Detail',
    hideInMenu: true,
  }));
};
const getComponentCompareRoutes = () => {
  const routes = ['bushingData', 'shockAbsorberDebugging', 'tireData', 'springData'];
  return routes.map((item) => ({
    path: `/component/${item}/dataComparison/:carParam`,
    name: '数据对比',
    access: 'component',
    component: './Component/DataComparison',
    hideInMenu: true,
  }));
};

// 主观评价
const getSubjectiveRoutes = () => {
  const routes = [
    'commercialDrivSubAssessment',
    'passengerDrivSubAssessment',
    'passengerComSubAssessment',
    'trucksComSubAssessment',
    'CoachComSubAssessment',
    'NVHSubAssessment',
  ];
  return routes.map((item) => ({
    path: `/subjectiveAssessment/${item}/detail/:carParam`,
    name: '数据详情',
    access: 'subjectiveAssessment',
    component: './SubjectiveAssessment/Detail',
    hideInMenu: true,
  }));
};
const getSubjectiveCompareRoutes = () => {
  const routes = [
    'commercialDrivSubAssessment',
    'passengerDrivSubAssessment',
    'passengerComSubAssessment',
    'trucksComSubAssessment',
    'CoachComSubAssessment',
    'NVHSubAssessment',
  ];
  return routes.map((item) => ({
    path: `/subjectiveAssessment/${item}/dataComparison/:carParam`,
    name: '数据对比',
    access: 'subjectiveAssessment',
    component: './SubjectiveAssessment/DataComparison',
    hideInMenu: true,
  }));
};

/*
 * @description: Toto
 * @author: zx
 */
export default [
  {
    path: '/user',
    layout: false,
    routes: [
      { name: '登录', path: '/user/login', component: './user/Login' },
      { component: './404' },
    ],
  },
  {
    name: '首页',
    path: '/welcome',
    hideInMenu: true,
    routes: [
      { path: '/welcome', component: './WelcomeNew' },
      {
        name: '个人中心',
        path: '/welcome/userCenter',
        component: './user/Center',
        hideInMenu: true,
      },
      {
        name: '上传中心',
        path: '/welcome/uploadCenter',
        component: './UploadCenter',
      },
      {
        path: '/welcome/userManagement',
        name: '用户管理',
        component: './SystemSettings/UserManagement',
      },
      {
        path: '/welcome/ModuleManagement',
        name: '模板管理',
        component: './SystemSettings/ModuleManagement',
      },
    ],
  },
  {
    name: '车辆信息',
    path: '/vehicleInfo',
    access: 'isRight',
    routes: [
      { path: '/vehicleInfo', redirect: '/vehicleInfo/dataQuery' },
      {
        path: '/vehicleInfo/dataQuery',
        name: '数据查询',
        access: 'vehicleInfo',
        component: './VehicleInfo/DataQuery',
      },
      {
        path: '/vehicleInfo/dataQuery/detail/:id',
        name: '数据详情',
        access: 'vehicleInfo',
        component: './VehicleInfo/Detail',
        hideInMenu: true,
      },
      {
        path: '/vehicleInfo/dataQuery/dataComparison/:carParam',
        name: '数据对比',
        access: 'vehicleInfo',
        component: './VehicleInfo/DataComparison',
        hideInMenu: true,
      },
      // {
      //   path: '/vehicleInfo/dataStatistics',
      //   name: '数据统计',
      //   access: 'vehicleInfo',
      //   component: './VehicleInfo/DataStatistics',
      // },
      { component: './404' },
    ],
  },
  {
    path: '/NVH',
    name: 'NVH',
    // icon: '/icons/Frame.png',
    access: 'isRight',
    routes: [
      { path: '/NVH', redirect: '/NVH/dataQuery' },
      {
        path: '/NVH/dataQuery',
        name: '数据查询',
        access: 'NVH',
        component: './NVH/DataQuery',
      },
      {
        path: '/NVH/dataImport/detail/:id',
        name: '查看数据',
        access: 'NVH',
        component: './NVH/DataImportDetail',
        hideInMenu: true,
      },
      {
        path: '/NVH/dataQuery/dataComparison/:carParam',
        name: '数据对比',
        access: 'NVH',
        component: './NVH/DataComparisonQuery',
        hideInMenu: true,
      },
      // {
      //   path: '/NVH/dataStatistics',
      //   name: '数据统计',
      //   access: 'NVH',
      //   component: './NVH/DataStatistics',
      // },
      {
        path: '/NVH/dataQuery/detail/:id',
        name: '数据详情',
        access: 'NVH',
        component: './NVH/Detail',
        hideInMenu: true,
      },
      { component: './404' },
    ],
  },
  {
    path: '/K&C',
    name: 'K&C',
    // icon: '/icons/Frame.png',
    access: 'isRight',
    routes: [
      { path: '/K&C', redirect: '/K&C/dataQuery' },

      {
        path: '/K&C/dataQuery',
        name: '数据查询',
        access: 'K&C',
        component: './K&C/DataQuery',
      },
      {
        path: '/K&C/dataQuery/dataComparison/:carParam',
        name: '数据对比',
        access: 'K&C',
        component: './K&C/DataComparison',
        hideInMenu: true,
      },
      // {
      //   path: '/K&C/dataStatistics',
      //   name: '数据统计',
      //   access: 'K&C',
      //   component: './K&C/DataStatistics',
      // },
      {
        path: '/K&C/dataQuery/detail/:id',
        name: '数据详情',
        access: 'K&C',
        component: './K&C/Detail',
        hideInMenu: true,
      },
      // {
      //   path: '/K&C/systemSettings',
      //   name: '系统设置',
      //   access: 'K&C',
      //   component: './K&C/SystemSettings',
      // },
      { component: './404' },
    ],
  },
  {
    path: '/drivingPerformance',
    name: '行驶性能',
    // icon: '/icons/Frame.png',
    access: 'isRight',
    routes: [
      {
        path: '/drivingPerformance',
        redirect: '/drivingPerformance/operationalStability',
      },
      {
        path: '/drivingPerformance/operationalStability',
        name: '操纵稳定性',
        access: 'drivingPerformance',
        component: './DrivingPerformance/OperationalStability',
      },
      {
        path: `/drivingPerformance/operationalStability/resultDetail/:id`,
        name: '数据详情',
        access: 'drivingPerformance',
        component: './DrivingPerformance/Detail/OperationalStabilityT/ResultDetail',
        hideInMenu: true,
      },

      // {
      //   path: '/NVH/dataQuery/dataComparison/:carParam',
      //   name: '数据对比',
      //   access: 'NVH',
      //   component: './NVH/DataComparisonQuery',
      //   hideInMenu: true,
      // },
      {
        path: '/drivingPerformance/ride',
        name: '平顺性',
        access: 'drivingPerformance',
        component: './DrivingPerformance/Ride',
      },
      {
        path: `/drivingPerformance/ride/resultDetail/:id`,
        name: '数据详情',
        access: 'drivingPerformance',
        component: './DrivingPerformance/Detail/RideT/ResultDetail',
        hideInMenu: true,
      },
      {
        path: '/drivingPerformance/brakingPerformance',
        name: '制动性',
        access: 'drivingPerformance',
        component: './DrivingPerformance/BrakingPerformance',
      },
      {
        path: '/drivingPerformance/slide',
        name: '滑行',
        access: 'drivingPerformance',
        component: './DrivingPerformance/Slide',
      },
      {
        path: '/drivingPerformance/swerve',
        name: '转向',
        access: 'drivingPerformance',
        component: './DrivingPerformance/Swerve',
      },
      {
        path: '/drivingPerformance/CenterOfMass',
        name: '质心与转动惯量',
        access: 'drivingPerformance',
        component: './DrivingPerformance/CenterOfMass',
      },
      ...getDrivingRoutes(),
      ...getDrivingCompareRoutes(),
      { component: './404' },
    ],
  },
  {
    path: '/component',
    name: '零部件',
    access: 'isRight',
    routes: [
      {
        path: '/component',
        redirect: '/component/shockAbsorberDebugging',
      },
      {
        path: '/component/shockAbsorberDebugging',
        name: '减振器数据',
        access: 'Component',
        component: './Component/ShockAbsorberDebugging',
      },
      {
        path: '/component/springData',
        name: '弹簧数据',
        access: 'Component',
        component: './Component/SpringData',
      },
      {
        path: `/component/springData/resultDetail/:id`,
        name: '数据详情',
        access: 'Component',
        component: './Component/Detail/SpringDataT/ResultDetail',
        hideInMenu: true,
      },
      {
        path: '/component/bushingData',
        name: '衬套数据',
        access: 'component',
        component: './Component/BushingData',
      },
      {
        path: '/component/tireData',
        name: '轮胎数据',
        access: 'Component',
        component: './Component/TireData',
      },
      ...getComponentRoutes(),
      ...getComponentCompareRoutes(),
      { component: './404' },
    ],
  },
  {
    path: '/subjectiveAssessment',
    name: '主观评价',
    access: 'isRight',
    routes: [
      {
        path: '/subjectiveAssessment',
        redirect: '/subjectiveAssessment/commercialDrivSubAssessment',
      },
      {
        path: '/subjectiveAssessment/commercialDrivSubAssessment',
        name: '商用车行驶性能',
        access: 'subjectiveAssessment',
        component: './SubjectiveAssessment/CommercialDrivSubAssessment',
      },
      {
        path: '/subjectiveAssessment/passengerDrivSubAssessment',
        name: '乘用车行驶性能',
        access: 'subjectiveAssessment',
        component: './SubjectiveAssessment/PassengerDrivSubAssessment',
      },
      {
        path: '/subjectiveAssessment/passengerComSubAssessment',
        name: '乘用车商品性',
        access: 'subjectiveAssessment',
        component: './SubjectiveAssessment/PassengerComSubAssessment',
      },
      {
        path: '/subjectiveAssessment/trucksComSubAssessment',
        name: '货车商品性',
        access: 'subjectiveAssessment',
        component: './SubjectiveAssessment/TruckComSubAssessment',
      },
      {
        path: '/subjectiveAssessment/CoachComSubAssessment',
        name: '客车商品性',
        access: 'subjectiveAssessment',
        component: './SubjectiveAssessment/CoachComSubAssessment',
      },
      {
        path: '/subjectiveAssessment/NVHSubAssessment',
        name: 'NVH性能',
        access: 'subjectiveAssessment',
        component: './SubjectiveAssessment/NVHSubAssessment',
      },
      ...getSubjectiveRoutes(),
      ...getSubjectiveCompareRoutes(),
      { component: './404' },
    ],
  },
  // {
  //   path: '/systemSettings',
  //   name: '系统设置',
  //   access: 'isRight',
  //   hideinmenu: true,
  //   routes: [
  //     { path: '/systemSettings', redirect: '/systemSettings/userManagement' },
  //     {
  //       path: '/systemSettings/userManagement',
  //       name: '用户管理',
  //       access: 'systemSettings',
  //       component: './SystemSettings/UserManagement',
  //     },
  //     {
  //       path: '/systemSettings/roleManagement',
  //       name: '角色管理',
  //       access: 'systemSettings',
  //       component: './SystemSettings/RoleManagement',
  //     },
  //     // {
  //     //   path: '/systemSettings/menuManagement',
  //     //   name: '菜单管理',
  //     //   access: 'systemSettings',
  //     //   component: './SystemSettings/MenuManagement',
  //     // },
  //     {
  //       path: '/systemSettings/departmentManagement',
  //       name: '部门管理',
  //       access: 'systemSettings',
  //       component: './SystemSettings/DepartmentManagement',
  //     },
  //     // {
  //     //   path: '/systemSettings/dataTableManagement',
  //     //   name: '数据表管理',
  //     //   access: 'systemSettings',
  //     //   component: './SystemSettings/DataTableManagement',
  //     // },
  //     {
  //       path: '/systemSettings/ModuleManagement',
  //       name: '模板管理',
  //       access: 'systemSettings',
  //       component: './SystemSettings/ModuleManagement',
  //     },
  //     // {
  //     //   path: '/systemSettings/OperationManagement',
  //     //   name: '工况管理',
  //     //   access: 'systemSettings',
  //     //   component: './SystemSettings/OperationManagement',
  //     // },
  //     // {
  //     //   path: '/systemSettings/PointManagement',
  //     //   name: '测点管理',
  //     //   access: 'systemSettings',
  //     //   component: './SystemSettings/PointManagement',
  //     // },
  //     { component: './404' },
  //   ],
  // },
];
